'use strict';

var _meow = require('meow');

var _meow2 = _interopRequireDefault(_meow);

var _updateNotifier = require('update-notifier');

var _updateNotifier2 = _interopRequireDefault(_updateNotifier);

var _emojifyText = require('emojify-text');

var _emojifyText2 = _interopRequireDefault(_emojifyText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }

/**
 * CLI app instance of Meow
 * More: https://www.npmjs.com/package/meow
 * @param  {Object|Array|String} Text that will be write on --help or -h
 * @param  {Object}              Minimist options (github.com/substack/minimist)
 * @return {Object}              A Meow CLI helper object
 */
var cli = (0, _meow2.default)('\n  Usage\n    $ emojify-text <bg> <fg> <text> [...]\n\n  Options\n    -r, --row    Print emojis in row.\n\n  Examples\n    $ emojify-text ⭐️  💙  \'lol\'\n    $ emojify-text ⭐️  💙  I love emojis\n', {
  default: {
    row: false
  },
  alias: {
    r: 'row'
  },
  boolean: ['r', 'row']
});

(0, _updateNotifier2.default)({ pkg: cli.pkg }).notify();

if (cli.input.length === 0 || cli.input.length < 3) {
  console.error('🤔  Provide emojis and text!');
  process.exit(1);
}

var _cli$input = _toArray(cli.input);

var bg = _cli$input[0];
var fg = _cli$input[1];

var text = _cli$input.slice(2);

var row = cli.flags.row;

console.log((0, _emojifyText2.default)({ bg: bg, fg: fg, row: row }, text.join(' ')));
process.exit(0);
